Bug 141649 - FILEOPEN: DOC: Incorrect conditional field
Summary: FILEOPEN: DOC: Incorrect conditional field
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.6.0
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks: DOC-Fields
  Show dependency treegraph
 
Reported: 2021-04-12 15:20 UTC by Xisco Faulí
Modified: 2023-01-19 23:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison LibreOffice 7.2 master and MSO 2010 (29.86 KB, image/png)
2021-04-12 15:20 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-12 15:20:59 UTC
Created attachment 171128 [details]
Comparison LibreOffice 7.2 master and  MSO 2010

This is a follow-up of bug 43569

Steps to reproduce:
1. Open attachment 56010 [details] from bug 43569

-> This field is displayed as 'test1\*' and only \* is clickable. Instead 'test1' should be clickable and '\*' shouldn't not be displayed

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 4eac7a11e5d39ca6c783f65f1ca2df009b9a37e4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-04-12 15:22:51 UTC
This started to happen since

https://cgit.freedesktop.org/libreoffice/core/commit/?id=29378bd510226adb23659525203beec18f8708a3

author	Serge Krot <Serge.Krot@cib.de>	2017-12-13 17:13:35 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-12-14 13:25:18 +0100
commit 29378bd510226adb23659525203beec18f8708a3 (patch)
tree 77286470b83b3dc6ff1fa0ebe2972c024e98a3bc
parent e6b7f73f06aa35e60b7b56d78f24a724fe7c888e (diff)
tdf#43569 DOC input: insert ConditionalText field instead of field marks

Bisected with: bibisect-linux64-6.1

Adding Cc: to Serge Krot
Comment 2 Justin L 2023-01-19 16:32:16 UTC
Part of the fix is documented in export bug 114537 where the "\*" is not imported.

The rest of the fix is proposed at https://gerrit.libreoffice.org/c/core/+/145821
Comment 3 Commit Notification 2023-01-19 23:58:11 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/85ae3d1513d4be3eb102bf3065ddfba27cb1f1c3

tdf#141649 doc import: do not duplicate conditional text

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.